namespace Quik.Typography
{
    public abstract class QuikFont
    {
        public abstract QuikFontStyle Style { get; }

        public string FontFamily => Style.Family;
        public float FontSize => Style.Size;
        public QuikFontStyle FontStyle => Style;

        public abstract float Ascender { get; }
        public abstract float Descender { get; }

        public abstract bool HasCharacter(int character);
        public abstract void GetCharacter(int character, out QuikTexture texture, out QuikGlyph glyph);
    }
}